Summary:	A removable volume manager for Thunar
Name:		thunar-volman
Version:	0.2.0
Release:	%mkrel 6
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://foo-projects.org/~benny/projects/thunar-volman/index.html
Source0:	http://download.berlios.de/xfce-goodies/%{name}-%{version}.tar.bz2
Patch1:		%{name}-0.1.2-audio-player.patch
# (tpg) http://bugzilla.xfce.org/show_bug.cgi?id=3349
Patch2:		%{name}-0.2.0-LUKS-encryption-support.patch
BuildRequires:	thunar-devel >= 0.8.0
BuildRequires:	dbus-devel >= 0.34
BuildRequires:	hal-devel >= 0.5.0
BuildRequires:	libusb-devel
Requires:	thunar >= 0.8.0
Requires:	dbus >= 0.34
Requires:	hal >= 0.5.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Thunar Volume Manager is an extension for the Thunar
file manager, which enables automatic management of removable
drives and media. For example, if thunar-volman is installed
and configured properly, and you plug in your digital camera,
it will automatically launch your preferred photo application
and import the new pictures from the camera into your photo collection.

%prep
%setup -q
%patch1 -p1
%patch2 -p0

%build
# (tpg) needed by patch 2
NOCONFIGURE=1 xdt-autogen

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%if %mdkversion < 200900
%post
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/thunar-volman
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_libdir}/thunar-volman-settings
%{_datadir}/applications/thunar-volman-settings.desktop


%changelog
* Wed Aug 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-6mdv2009.0
+ Revision: 274172
- Patch2: add support for LUKS encrypted volumes (upstream bug #3349)

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-5mdv2009.0
+ Revision: 261535
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-4mdv2009.0
+ Revision: 254538
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - revert, it is pointless to backport this patch, too much effort
    - Patch4: add support for LUKS encrypted volumes (upstream bug #3349)
    - run scriplets only for mdv older than 2009

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-2mdv2008.1
+ Revision: 189004
- fix summary
- add missing buildrequires on libusb-devel
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.0-1mdv2008.1
+ Revision: 115271
- New release 0.2.0

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new license policy
    - do not package COPYING and INSTALL files

* Tue Sep 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-3mdv2008.0
+ Revision: 79380
- provide patch 0 (properlly detect DVD disks)
  provide patch 1 (run audio player only for ipod medias alike)

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-2mdv2008.0
+ Revision: 33283
- drop __libtoolize
- spec file clean
- add macros to %%post and %%postun


* Tue Apr 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.2-1mdv2007.1
+ Revision: 150344
- Import thunar-volman

